ALTER TABLE users CHANGE name Username TEXT not null;
ALTER TABLE users CHANGE password Password TEXT not null ;
ALTER TABLE users CHANGE email Email TEXT not null ;
ALTER TABLE users ADD Access INT (11) DEFAULT '0' not null after Email;
ALTER TABLE name CHANGE IP IP_Address TEXT not null ;
ALTER TABLE name CHANGE machinename Machine_Name TEXT not null ;
ALTER TABLE name CHANGE hardware_addr Hardware_Address TEXT not null ;
ALTER TABLE owner CHANGE ownername Owner_Name TEXT not null;
ALTER TABLE owner CHANGE location Location TEXT not null ;
ALTER TABLE owner CHANGE comment Comment TEXT not null ;
ALTER TABLE specs ADD Serial_Number int(11) not null;
ALTER TABLE specs ADD Processor int(11) not null;
ALTER TABLE specs ADD Processor_Speed int(11) not null;
ALTER TABLE specs ADD Memory int(11) not null;
ALTER TABLE conf ADD serial int(20) DEFAULT '0' NOT NULL after domainname;



#
# Table structure for table 'changes'
#

CREATE TABLE changes (
   id int(11) DEFAULT '0' NOT NULL,
   who text NOT NULL,
   date text NOT NULL
);

#
# Table structure for table 'access'
#

CREATE TABLE access (
   id int(11) DEFAULT '0' NOT NULL,
   description text
);

#
# Dumping data for table 'access'
#

INSERT INTO access VALUES ( '0', 'Admin');
INSERT INTO access VALUES ( '1', 'Manipulate');
INSERT INTO access VALUES ( '2', 'Display');

#
# Table structure for table 'processor_types'
#

CREATE TABLE processor_types (
   id int(11) DEFAULT '0' NOT NULL auto_increment,
   name text NOT NULL,
   UNIQUE id (id)
);

#
# Dumping data for table 'processor_types'
#

INSERT INTO processor_types VALUES ( '1', 'UltraSparc AX');
INSERT INTO processor_types VALUES ( '2', 'Intel Pentium');
INSERT INTO processor_types VALUES ( '3', 'Intel Pentium II');
INSERT INTO processor_types VALUES ( '4', 'Intel Pentium III');
INSERT INTO processor_types VALUES ( '5', 'Intel Pentium IV');
INSERT INTO processor_types VALUES ( '6', 'Intel Pentium Pro');
INSERT INTO processor_types VALUES ( '7', 'AMD Althon K7');
INSERT INTO processor_types VALUES ( '8', 'AMD K6');
INSERT INTO processor_types VALUES ( '9', 'AMD K6 II');
INSERT INTO processor_types VALUES ( '10', 'UltraSparc AXi');


DROP TABLE descriptions;

#
# Table structure for table 'descriptions'
#

CREATE TABLE descriptions (
   item text NOT NULL,
   info text NOT NULL
);

#
# Dumping data for table 'descriptions'
#

INSERT INTO descriptions VALUES ( 'Machine_Name', 'The name of the machine can be anything, literally.  The only limitations are that it can only contain alpha-numeric characters and the single special character : the hyphen.
<BR><BR>
<B>DO NOT USE:</B><BR>
<UL>
<LI>White Spaces</LI>
<LI>Special Characters, including control characters</LI>
<LI>Underscore characters</LI>
</UL>');
INSERT INTO descriptions VALUES ( 'Hardware_Address', 'The hardware address is also known as the standard MAC address. It is a <B><I>COLON</I></B> separated six segment alpha numeric string, with <I>two</I> digits per segment in the following format:<BR><BR>
<CENTER>
##:##:##:##:##:##<BR>
</CENTER>
<BR>
An example would be:<BR>
<CENTER>
00:10:7b:32:9f:82<BR>
</CENTER>
<BR>');
INSERT INTO descriptions VALUES ( 'Alias', 'An alias of a machine is simply another way of referencing the machinename, but, commonly, in an easier-to-remember format.  The alias falls under the same restrictions as the machinename (or hostname), with one added flexibility:<BR>
<BR>
<UL><LI>You can use the underscore (_) character</LI></UL>
Multiple aliases can reference the same machinename.  To enter multiple aliases, simply separate each one by a comma (,).  White spaces are automatically removed.<BR><BR>');
INSERT INTO descriptions VALUES ( 'Owner_Name', 'The ownername field is for informational purposes only, and therefore, none of the core programs rely on the contents of this field.  So, basically, anything goes.<BR>
<BR>
It is best to stick to simply listing the first and last name of the primary user, or \"owner\" in the case of it being a multi-user machine, of the machine.<BR>');
INSERT INTO descriptions VALUES ( 'Location', 'The location field is for informational purposes only, and therefore, none of the core programs rely on the contents of this
field. So, basically, anything goes.<BR>
<BR>
It is probably best to stick to a format of :  Facility or Facility Location - Room Name or Number<BR><BR>
<CENTER>An example would be: <B>Princeton - 209</B><BR><BR>');
INSERT INTO descriptions VALUES ( 'OS', 'The location field is for informational purposes only, and therefore, none of the core programs rely on the contents of this
              field. So, basically, anything goes.<BR> <BR> Many systems have multiple operating systems installed on them, so
try to pick the <B>PRIMARY</B> operating system that is installed.<BR><BR>
');
INSERT INTO descriptions VALUES ( 'Comment', 'The location field is for informational purposes only, and therefore, none of the core programs rely on the contents of this
              field. So, basically, anything goes.<BR> <BR> This is a free-for-all entry field for any information that is deemed important.<BR><BR>
');
INSERT INTO descriptions VALUES ( 'IP_Address', 'The IP field is specifically for assigning the network address of the machine, and it is only possible to change it under certain menus.*<BR>
<BR>
Be very careful when altering the contents of this field.  It is very easy to render a machine unreachable by other machines or completely unusable if it relies on DHCP.<BR>
The IP field is in the standard ipv4 format which consists of 4 octets separated by periods (.). For example:<BR>
<CENTER><B>10.9.40.1</B></CENTER>
<BR>
<FONT SIZE=-2>* This option is only available under the \"Modify\" menu, and the \"add with specific IP\" option because the system usually hands out the IP addresses automatically.</FONT>');
INSERT INTO descriptions VALUES ( 'Access', 'The Access level setting determines just how much access to the system that the particular user account will have.  The current access levels are <B>Display</B>, <B>Mainpulate</B>, and <B>Admin</B>.<BR>
<BR>
<UL><LI><B>Display:</B> Allows the user to browse the contents of the database, display reports, and change their account information.</LI>
<LI><B>Manipulate:</B> Allows the user to have full access to altering all of the information in the database, plus all of the permissions a user with \"Display\" level access has.</LI>
<LI><B>Admin :</B> Full administrative access to the domain configuration pages, full access to the user section to add/delete users, plus all permissions that come with \"Manipulate\" access.</LI>
</UL>');
INSERT INTO descriptions VALUES ( 'Email', 'The email address is currently not used but may be in the future.  It is best to enter one just in case the user needs to be contacted.<BR>');
INSERT INTO descriptions VALUES ( 'Username', 'This is the name of the user account that will be used to gain access to the system.  Be sure to make it unique.<BR>
<BR>
Currently, there is <B>NO</B> error checking on user account names.<BR>');
INSERT INTO descriptions VALUES ( 'Password', 'The password entry is limited to 8 characters and will be encrypted in the database using standard UNIX crypting techniques.  Be sure to enter a password that is easily remembered but not easily hacked.<BR>
<BR>
If you are modifying account information, you do not need to re-type the password.  Sinply leave the password field blank, and the system is smart enough to not update the password entry.<BR>
');
INSERT INTO descriptions VALUES ( 'Serial_Number', 'Simply put, this is a free-form field to handle the recording of the unique serial number of the machine.  This is is mainly for asset tracking purposes.<BR>');
INSERT INTO descriptions VALUES ( 'Processor', 'The processor selection is solely for the purpose of identifying the components within the machine.  The processor field is of fixed form from a pull-down mainly because it is used to generate statistics on the type of machine population that exists in the environment.<BR>');
INSERT INTO descriptions VALUES ( 'Processor_Speed', 'Based upon the speed of the primary processor, this is entirely an informational field to give administrators a better handle on keeping track of the machines in the environment as well at to make it easier to get information on the machine without end user interaction.<BR>');
INSERT INTO descriptions VALUES ( 'Memory', 'The Memory field is a free-form field with the only purpose of being informational for the Administrator.<BR>');
